MarketView (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.messaging

## Class MarketView

- java.lang.Object
- - com.marketfactory.messaging.MarketView

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<MarketView>

      public final class MarketView
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<MarketView>, java.io.Serializable

  A container for a market-data update for a single market.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FeedMarketID` | `fmID` A feed and market ID combination.
    `boolean` | `isSnapshot` True if the market-data update is a full snapshot; False means this is an incremental update.
    `MDEntry[]` | `mdEntryList` A list of market data entries to update.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeArrival` Timestamp of arrival at the handler within Whisperer.
    `long` | `timeEnhanced` Timestamp that the message left the market data enhancement, if present.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MarketView()`
    `` | `MarketView(FeedMarketID fmID, long timeExchange, long timeArrival, long timeHandler, long timeEnhanced, long timeApiServer, long timeApiClient, boolean isSnapshot, MDEntry[] mdEntryList)`
    `protected` | `MarketView(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MarketView rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fmID

          public FeedMarketID fmID

      A feed and market ID combination.

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### timeArrival

          public long timeArrival

      Timestamp of arrival at the handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeEnhanced

          public long timeEnhanced

      Timestamp that the message left the market data enhancement, if present.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### isSnapshot

          public boolean isSnapshot

      True if the market-data update is a full snapshot; False means this is an incremental update.

    - #### mdEntryList

          public MDEntry[] mdEntryList

      A list of market data entries to update.

  - ### Constructor Detail

    - #### MarketView

          public MarketView()

    - #### MarketView

          protected MarketView(ProtoByteBuffer buffer)

    - #### MarketView

          public MarketView(FeedMarketID fmID,
                            long timeExchange,
                            long timeArrival,
                            long timeHandler,
                            long timeEnhanced,
                            long timeApiServer,
                            long timeApiClient,
                            boolean isSnapshot,
                            MDEntry[] mdEntryList)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(MarketView rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MarketView>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)